## antimicro 3.5.0

=== CMakeLists.txt ===
## antimicrox Gamepad to KB+M event mapper
## Copyright (C) 2015 Travis Nickles <nickles.travis@gmail.com>
## Copyright (C) 2020 Jagoda Górska <juliagoda.pl@protonmail.com>
## Copyright (C) 2020 Paweł Kotiuk <kotiuk@zohomail.eu>
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.


cmake_minimum_required(VERSION 3.12)
project(antimicrox)

if(POLICY CMP0071)
    cmake_policy(SET CMP0071 NEW)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" "${CMAKE_ROOT}/Modules")

set(CMAKE_INCLUDE_CURRENT_DIR ON)


if(UNIX AND NOT APPLE AND CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "force cmake prefix to be set for /usr" FORCE)
endif(UNIX AND NOT APPLE AND CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

include(CheckCXXCompilerFlag)
include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

message("Build type: ${CMAKE_BUILD_TYPE}")

if(CMAKE_CXX_COMPILER_ID MATCHES "MSVC" AND MSVC_TOOLSET_VERSION GREATER_EQUAL 141)
    set(COMPILER_IS_MSVC TRUE)
endif()

if(NOT COMPILER_IS_MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic -Wall -Wextra")
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wcast-align -Wunreachable-code -g -O0 -fno-omit-frame-pointer")
    # ADDITIONAL DEBUG FLAGS
    # set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wctor-dtor-privacy -Wdisabled-optimization -Wformat=2 -Winit-self -Wlogical-op -Wmissing-declarations -Wmissing-include-dirs -Wnoexcept -Wold-style-cast -Woverloaded-virtual -Wredundant-decls -Wstrict-null-sentinel -Wstrict-overflow=5 -Wundef -Wno-unused  -Wswitch-enum")
    if(UNIX AND NOT CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
        set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -rdynamic")
    endif(UNIX AND NOT CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP /analyze- /D_CRT_SECURE_NO_WARNINGS")
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /W3 /GS /Od /sdl /wd4996 /RTC1 /Gd /Oy-  /permissive-")
endif(NOT COMPILER_IS_MSVC)

# The version number.
set(ANTIMICROX_MAJOR_VERSION 3)
set(ANTIMICROX_MINOR_VERSION 5)
set(ANTIMICROX_PATCH_VERSION 0)

if(UNIX)
    option(WITH_X11 "Compile with support for X11." ON)
    option(WITH_UINPUT "Compile with support for uinput. uinput will be usable to simulate events." ON)
    option(INSTALL_UINPUT_UDEV_RULES "Generate udev rules allowing users using uinput without root permissions." ON)
    option(WITH_XTEST "Compile with support for XTest.  XTest will be usable to simulate events." ON)
    option(APPDATA "Build project with AppData file support." ON)
endif(UNIX)

if(WIN32)
    option(PORTABLE_WIN "Compile app for portability" OFF)
endif(WIN32)

option(USE_QT6_BY_DEFAULT "Use Qt6 if available (if not available fallback to QT5)" OFF)
option(UPDATE_TRANSLATIONS "Call lupdate to update translation files from source." OFF)
option(TRANS_REMOVE_OBSOLETE "Add -noobsolete option to lupdate command to get rid of old text entries" OFF)
option(ATTACH_FAKE_CLASSES "Fake classes can be used in application to tests functionalities" OFF)
option(ANTIMICROX_PKG_VERSION "Manually define version of package displayed in info tab" OFF)
option(CHECK_FOR_UPDATES "Enable checking for updates using GitHub REST API." OFF)
option(BUILD_DOCS "Build documentation" OFF)
option(WITH_TESTS "Allow tests for classes" OFF)

if(WITH_TESTS)
    message("Tests enabled")
endif(WITH_TESTS)

if(ANTIMICROX_PKG_VERSION)
    message("This build will be marked as: ${ANTIMICROX_PKG_VERSION}")
    add_compile_definitions(ANTIMICROX_PKG_VERSION="${ANTIMICROX_PKG_VERSION}")
endif(ANTIMICROX_PKG_VERSION)

if(CHECK_FOR_UPDATES)
    message("This build will check for updates using GitHub API.")
    add_compile_definitions(CHECK_FOR_UPDATES="${CHECK_FOR_UPDATES}")
endif(CHECK_FOR_UPDATES)

if(UNIX)
    if(WITH_XTEST AND NOT WITH_X11)
        set(WITH_XTEST OFF)
        message("Cannot use XTest without X11. Disabling XTest support.")
    endif(WITH_XTEST AND NOT WITH_X11)

    if(WITH_XTEST)
        message("XTest support allowed for simulating events.")
    endif(WITH_XTEST)

    if(WITH_UINPUT)
        message("uinput support allowed for simulating events.")
    else()
        set(INSTALL_UINPUT_UDEV_RULES OFF)
    endif(WITH_UINPUT)

    if(NOT WITH_XTEST AND NOT WITH_UINPUT)
        message(FATAL_ERROR "No system is defined for simulating events.")
    endif(NOT WITH_XTEST AND NOT WITH_UINPUT)
endif(UNIX)

###############################
# PLATFORM-INDEPENDENT FILES
###############################

set(antimicrox_MAIN src/main.cpp)

set(antimicrox_SOURCES
        src/antimicrosettings.cpp
        src/antkeymapper.cpp
        src/applaunchhelper.cpp
        src/autoprofileinfo.cpp
        src/axisvaluebox.cpp
        src/commandlineutility.cpp
        src/common.cpp
        src/dpadcontextmenu.cpp
        src/dpadpushbutton.cpp
        src/dpadpushbuttongroup.cpp
        src/event.cpp
        src/eventhandlerfactory.cpp
        src/eventhandlers/baseeventhandler.cpp
        src/gamecontroller/gamecontroller.cpp
        src/gamecontroller/gamecontrollerdpad.cpp
        src/gamecontroller/gamecontrollerset.cpp
        src/gamecontroller/gamecontrollertrigger.cpp
        src/gamecontroller/gamecontrollertriggerbutton.cpp
        src/gamecontrollerexample.cpp
        src/globalvariables.cpp
        src/gui/aboutdialog.cpp
        src/gui/addeditautoprofiledialog.cpp
        src/gui/advancebuttondialog.cpp
        src/gui/advancestickassignmentdialog.cpp
        src/gui/axiseditdialog.cpp
        src/gui/buttoneditdialog.cpp
        src/gui/calibration.cpp
        src/gui/dpadeditdialog.cpp
        src/gui/editalldefaultautoprofiledialog.cpp
        src/gui/extraprofilesettingsdialog.cpp
        src/gui/flashbuttonwidget.cpp
        src/gui/gamecontrollermappingdialog.cpp
        src/gui/joyaxiswidget.cpp
        src/gui/joybuttonwidget.cpp
        src/gui/joycontrolstickeditdialog.cpp
        src/gui/joydpadbuttonwidget.cpp
        src/gui/joysensoreditdialog.cpp
        src/gui/joystickstatuswindow.cpp
        src/gui/joytabwidget.cpp
        src/gui/joytabwidgetcontainer.cpp
        src/gui/mainsettingsdialog.cpp
        src/gui/mainwindow.cpp
        src/gui/mousesettingsdialog.cpp
        src/gui/qkeydisplaydialog.cpp
        src/gui/quicksetdialog.cpp
        src/gui/setaxisthrottledialog.cpp
        src/gui/setnamesdialog.cpp
        src/gui/slotitemlistwidget.cpp
        src/haptictriggerps5.cpp
        src/inputdaemon.cpp
        src/inputdevice.cpp
        src/inputdevicebitarraystatus.cpp
        src/inputdevicecalibration.cpp
        src/joyaccelerometersensor.cpp
        src/joyaxis.cpp
        src/joyaxiscontextmenu.cpp
        src/joybuttoncontextmenu.cpp
        src/joybuttonmousehelper.cpp
        src/joybuttonslot.cpp
        src/joybuttonstatusbox.cpp
        src/joybuttontypes/joybutton.cpp
        src/joybuttontypes/joyaccelerometerbutton.cpp
        src/joybuttontypes/joyaxisbutton.cpp
        src/joybuttontypes/joycontrolstickbutton.cpp
        src/joybuttontypes/joycontrolstickmodifierbutton.cpp
        src/joybuttontypes/joydpadbutton.cpp
        src/joybuttontypes/joygradientbutton.cpp
        src/joybuttontypes/joygyroscopebutton.cpp
        src/joybuttontypes/joysensorbutton.cpp
        src/joycontrolstick.cpp
        src/joycontrolstickbuttonpushbutton.cpp
        src/joycontrolstickcontextmenu.cpp
        src/joycontrolstickpushbutton.cpp
        src/joycontrolstickstatusbox.cpp
        src/joydpad.cpp
        src/joygyroscopesensor.cpp
        src/joysensor.cpp
        src/joysensorbuttonpushbutton.cpp
        src/joysensorcontextmenu.cpp
        src/joysensorfactory.cpp
        src/joysensorpreset.cpp
        src/joysensorpushbutton.cpp
        src/joysensorstatusbox.cpp
        src/joystick.cpp
        src/keyboard/virtualkeyboardmousewidget.cpp
        src/keyboard/virtualkeypushbutton.cpp
        src/keyboard/virtualmousepushbutton.cpp
        src/localantimicroserver.cpp
        src/logger.cpp
        src/mousedialog/mouseaxissettingsdialog.cpp
        src/mousedialog/mousebuttonsettingsdialog.cpp
        src/mousedialog/mousecontrolsticksettingsdialog.cpp
        src/mousedialog/mousedpadsettingsdialog.cpp
        src/mousedialog/mousesensorsettingsdialog.cpp
        src/mousedialog/springmoderegionpreview.cpp
        src/mousedialog/uihelpers/mouseaxissettingsdialoghelper.cpp
        src/mousedialog/uihelpers/mousebuttonsettingsdialoghelper.cpp
        src/mousedialog/uihelpers/mousecontrolsticksettingsdialoghelper.cpp
        src/mousedialog/uihelpers/mousedpadsettingsdialoghelper.cpp
        src/mousehelper.cpp
        src/pt1filter.cpp
        src/qtkeymapperbase.cpp
        src/sdleventreader.cpp
        src/sensorpushbuttongroup.cpp
        src/setjoystick.cpp
        src/simplekeygrabberbutton.cpp
        src/statisticsestimator.cpp
        src/stickpushbuttongroup.cpp
        src/uihelpers/advancebuttondialoghelper.cpp
        src/uihelpers/buttoneditdialoghelper.cpp
        src/uihelpers/dpadcontextmenuhelper.cpp
        src/uihelpers/dpadeditdialoghelper.cpp
        src/uihelpers/gamecontrollermappingdialoghelper.cpp
        src/uihelpers/joyaxiscontextmenuhelper.cpp
        src/uihelpers/joycontrolstickcontextmenuhelper.cpp
        src/uihelpers/joycontrolstickeditdialoghelper.cpp
        src/uihelpers/joysensoriothreadhelper.cpp
        src/uihelpers/joytabwidgethelper.cpp
        src/vdpad.cpp
        src/xml/inputdevicexml.cpp
        src/xml/joyaxisxml.cpp
        src/xml/joybuttonslotxml.cpp
        src/xml/joybuttonxml.cpp
        src/xml/joydpadxml.cpp
        src/xml/setjoystickxml.cpp
        src/xmlconfigmigration.cpp
        src/xmlconfigreader.cpp
        src/xmlconfigwriter.cpp
        )

set(antimicrox_HEADERS
        src/antimicrosettings.h
        src/antkeymapper.h
        src/applaunchhelper.h
        src/autoprofileinfo.h
        src/axisvaluebox.h
        src/commandlineutility.h
        src/dpadcontextmenu.h
        src/dpadpushbutton.h
        src/dpadpushbuttongroup.h
        src/eventhandlerfactory.h
        src/eventhandlers/baseeventhandler.h
        src/gamecontroller/gamecontroller.h
        src/gamecontroller/gamecontrollerdpad.h
        src/gamecontroller/gamecontrollerset.h
        src/gamecontroller/gamecontrollertrigger.h
        src/gamecontroller/gamecontrollertriggerbutton.h
        src/gamecontroller/xml/gamecontrollerdpadxml.h
        src/gamecontroller/xml/gamecontrollertriggerxml.h
        src/gamecontroller/xml/gamecontrollerxml.h
        src/gamecontrollerexample.h
        src/globalvariables.h
        src/gui/aboutdialog.h
        src/gui/addeditautoprofiledialog.h
        src/gui/advancebuttondialog.h
        src/gui/advancestickassignmentdialog.h
        src/gui/axiseditdialog.h
        src/gui/buttoneditdialog.h
        src/gui/calibration.h
        src/gui/dpadeditdialog.h
        src/gui/editalldefaultautoprofiledialog.h
        src/gui/extraprofilesettingsdialog.h
        src/gui/flashbuttonwidget.h
        src/gui/gamecontrollermappingdialog.h
        src/gui/joyaxiswidget.h
        src/gui/joybuttonwidget.h
        src/gui/joycontrolstickeditdialog.h
        src/gui/joydpadbuttonwidget.h
        src/gui/joysensoreditdialog.h
        src/gui/joystickstatuswindow.h

=== debian/changelog ===
antimicro (3.5.0-1) unstable; urgency=medium

  * d/control:
      - Remove docs package from build depends
      - update pkgconf package
      - Update Standards Version and Vcs tags
  * New upstream version 3.5.0
  * Update patches
  * Fix fails to build source after successful build (Closes: #1043721)
  * Adopt package (Closes: #1023668)
  * Update lintian overrides
  * d/copyright: convert to DEP-5 format

 -- Laurent Arnoud <laurent@spkdev.net>  Sat, 23 Nov 2024 11:05:55 +0000

=== debian/control ===
Source: antimicro
Section: utils
Priority: optional
Maintainer: Laurent Arnoud <laurent@spkdev.net>
Homepage: https://github.com/AntiMicroX/antimicrox
Build-Depends: debhelper-compat (= 13), cmake, extra-cmake-modules,
 gettext, itstool, libsdl2-dev, libx11-dev, libxi-dev, libxtst-dev,
 lsb-release, pkgconf, qttools5-dev, qttools5-dev-tools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/spk-guest/antimicro.git
Vcs-Browser: https://salsa.debian.org/spk-guest/antimicro

Package: antimicro
Architecture: any
Provides: antimicrox
Conflicts: antimicrox
Replaces: antimicrox
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: evtest, joystick
Description: GUI for mapping keyboard keys and mouse controls to a gamepad
 AntiMicroX is a graphical program used to map keyboard keys and mouse
 controls to a gamepad. This program is useful for playing PC games
 using a gamepad that do not have any form of built-in gamepad support.
 However, you can use this program to control any desktop application
 (while running an X11 environment) with a gamepad.
 .
 https://github.com/AntiMicroX/antimicrox-profiles is a repository for
 pre-made AntiMicroX profiles, providing convenience controller layouts
 suitable for playing a game without having to map everything yourself.
 .
 Use evtest, or perhaps jstest from the joystick package, if you
 encounter problems detecting a controller, axes or buttons.

=== debian/watch ===
version=4
opts=\
searchmode=plain,\
filenamemangle=s/.+\/(\d+(?:\.\d+)+)/antimicrox-$1.tar.gz/ \
  https://api.github.com/repos/AntiMicroX/antimicrox/tags?per_page=200 \
  https:[^"]*/tarball/refs/tags/(\d+(?:\.\d+)+)(?="|$)

## antimicro 3.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,7 @@
 # The version number.
 set(ANTIMICROX_MAJOR_VERSION 3)
 set(ANTIMICROX_MINOR_VERSION 5)
-set(ANTIMICROX_PATCH_VERSION 0)
+set(ANTIMICROX_PATCH_VERSION 1)
 
 if(UNIX)
     option(WITH_X11 "Compile with support for X11." ON)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)
project(aboutdialogClass)

# Tell CMake to run moc when necessary:
set(CMAKE_AUTOMOC ON)

# As moc files are generated in the binary dir, tell CMake
# to always look for includes there:
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5Test REQUIRED)

set(GUIS_SRCS testaboutdialog.cpp
        testaddeditautoprofiledialog.cpp
        testadvancebuttondialog.cpp
        testcalibration.cpp
        testjoycontrolstickeditdialog.cpp
        testbuttoneditdialog.cpp
        testquicksetdialog.cpp
        testqkeydisplaydialog.cpp
        )
add_executable(GuiTests ${GUIS_SRCS})
#target_link_libraries( GuiTests antilib Qt5::Test )
ADD_TEST(NAME GuiTests COMMAND GuiTests)

=== other/appdata/CMakeLists.txt ===
# Make appdata optional when installing an application.
if(APPDATA)
    add_custom_target(appdata)

    file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/PO_files/")

    add_custom_command(TARGET appdata PRE_BUILD
            # Add an entry per language
            COMMAND msgfmt "${PROJECT_SOURCE_DIR}/other/appdata/PO_files/en.po" -o "${CMAKE_CURRENT_BINARY_DIR}/PO_files/en.mo"

            COMMAND itstool -i "${PROJECT_SOURCE_DIR}/other/appdata/appdata.its" -j "${PROJECT_SOURCE_DIR}/other/appdata/io.github.antimicrox.antimicrox.appdata.xml.in" -o "io.github.antimicrox.antimicrox.appdata.xml" "${CMAKE_CURRENT_BINARY_DIR}/PO_files/*.mo"
            )

    # Only install an appdata file ifthe user requested to have one built.
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/io.github.antimicrox.antimicrox.appdata.xml" DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/metainfo")
endif(APPDATA)

=== share/antimicrox/translations/CMakeLists.txt ===
# This will ensure that the *.qm files will be stored
# in the right place within the build directory.
file(GLOB antimicrox_TRANSLATIONS antimicrox_*.ts)
list(APPEND antimicrox_TRANSLATIONS antimicrox.ts)
file(GLOB_RECURSE antimicrox_BASE_SOURCES ${PROJECT_SOURCE_DIR}/src/*.cpp)
file(GLOB_RECURSE antimicrox_BASE_FORMS ${PROJECT_SOURCE_DIR}/src/*.ui)


if(QT_VERSION VERSION_GREATER_EQUAL 5.15)
    if(UPDATE_TRANSLATIONS)
        message("Update translations - lupdate ON")
        if(TRANS_REMOVE_OBSOLETE)
            message("getting rid of old text entries: \"lupdate -noobsolete\" ON")
            QT_CREATE_TRANSLATION(antimicrox_QMFILES ${antimicrox_BASE_SOURCES}
                    ${antimicrox_BASE_FORMS} ${antimicrox_TRANSLATIONS} OPTIONS -no-obsolete)
        else()
            QT_CREATE_TRANSLATION(antimicrox_QMFILES ${antimicrox_BASE_SOURCES}
                    ${antimicrox_BASE_FORMS} ${antimicrox_TRANSLATIONS})
        endif(TRANS_REMOVE_OBSOLETE)
    else()
        QT_ADD_TRANSLATION(antimicrox_QMFILES ${antimicrox_TRANSLATIONS})
    endif(UPDATE_TRANSLATIONS)
else()
    # Since 5.15 QT commands are universal
    QT5_ADD_TRANSLATION(antimicrox_QMFILES ${antimicrox_TRANSLATIONS})
    if(UPDATE_TRANSLATIONS)
        warning("Updating translations only for QT 5.15 or newer.")
    endif()
endif()


add_custom_target(updateqm DEPENDS ${antimicrox_QMFILES} COMMENT "Update translation files based on source and ui files")
install(FILES ${antimicrox_QMFILES} DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/antimicrox/translations")

set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM true)

=== debian/changelog ===
antimicro (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1
  * d/copyright: Fixed lintian report old-fsf-address-in-copyright-file
  * d/control: Update Standards Version

 -- Laurent Arnoud <laurent@spkdev.net>  Fri, 18 Jul 2025 18:01:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), cmake, extra-cmake-modules,
  gettext, itstool, libsdl2-dev, libx11-dev, libxi-dev, libxtst-dev,
  lsb-release, pkgconf, qttools5-dev, qttools5-dev-tools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/spk-guest/antimicro.git
 Vcs-Browser: https://salsa.debian.org/spk-guest/antimicro

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C.UTF-8
export LC_ALL

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS?=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
include /usr/share/dpkg/pkg-info.mk

OUR_VSN:=${DEB_VERSION} ($(shell lsb_release -si) $(shell lsb_release -sc)/${DEB_HOST_ARCH})

OUR_CPPFLAGS:=
OUR_CFLAGS:=
OUR_CXXFLAGS:=
OUR_LDFLAGS:=

# branding and avoid -Wdate-time (reproducible builds)
OUR_CPPFLAGS+=	-DANTIMICROX_PKG_VERSION=\"$(call shellescape,${OUR_VSN})\"

# unclutter build log; these are upstream’s to fix
OUR_CFLAGS+=	-Wno-deprecated-declarations
OUR_CXXFLAGS+=	-Wno-deprecated-declarations
OUR_CXXFLAGS+=	-Wno-deprecated-copy

# only needed when backporting to buster and older
#OUR_LDFLAGS+=	-Wl,--as-needed

# better debugging if requested
ifneq (,$(findstring optdbg,${DEB_BUILD_OPTIONS}))
OUR_CFLAGS+=	-Og
OUR_CXXFLAGS+=	-Og
endif

dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
export DEB_CXXFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CXXFLAGS})
export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
include /usr/share/dpkg/buildflags.mk
ifneq (,$(wildcard /usr/share/dpkg/buildtools.mk))
include /usr/share/dpkg/buildtools.mk
endif

%:
	dh $@ --buildsystem=cmake

CMAKE_DEFS:=	-DCMAKE_SKIP_RPATH=ON
CMAKE_DEFS+=	-DBUILD_DOCS=OFF
CMAKE_DEFS+=	-DUPDATE_TRANSLATIONS=OFF
CMAKE_DEFS+=	-DCHECK_FOR_UPDATES=OFF
# https://github.com/AntiMicroX/antimicrox/issues/138
CMAKE_DEFS+=	-DWITH_TESTS=OFF
CMAKE_DEFS+=	-DAPPDATA=ON
ifeq (linux,${DEB_HOST_ARCH_OS})
CMAKE_DEFS+=	-DWITH_UINPUT=ON
#XXX <Pine.BSM.4.64L.2202252001270.24327@herc.mirbsd.org>
CMAKE_DEFS+=	-DINSTALL_UINPUT_UDEV_RULES=ON
else
CMAKE_DEFS+=	-DWITH_UINPUT=OFF
endif
CMAKE_DEFS+=	-DWITH_X11=ON
CMAKE_DEFS+=	-DWITH_XTEST=ON

override_dh_auto_configure:
	exec dh_auto_configure -- ${CMAKE_DEFS}

execute_after_dh_auto_install:
	# https://github.com/AntiMicroX/antimicrox/issues/87#issuecomment-770516939
	rm -rf debian/antimicro/usr/include
	# https://github.com/AntiMicroX/antimicrox/issues/87#issuecomment-770515628
	rm -rf debian/antimicro/usr/share/doc/antimicrox
	rm -f debian/antimicro/usr/share/antimicrox/CHANGELOG.md

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGELOG.md
